Bug 215471 - unexpected stars rating widget makes amarok crash
Summary: unexpected stars rating widget makes amarok crash
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Context View (show other bugs)
Version: 2.2.1
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: 2.2.2
Assignee: Amarok Developers
URL:
Keywords: release_blocker
: 217231 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-11-20 20:09 UTC by Paul Grandperrin
Modified: 2009-12-11 22:20 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
The backtrace of amarok's crash (16.90 KB, text/plain)
2009-11-21 19:22 UTC, Paul Grandperrin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Grandperrin 2009-11-20 20:09:57 UTC
Version:            (using KDE 4.3.2)
OS:                Linux
Installed from:    Debian testing/unstable Packages

To reproduce the bug:
-open amarok
-resize the "context panel" to the minimum size

then an unexpected stars rating widget will appair :-/
if you click on it, it will make amarok crash...

a screenshoot: http://paulgrandperrin.free.fr/amarok.png

It's very easy to reproduce so I don't include the backtrace, but if you need it,just ask me.

Cheers
Paul Grandperrin
Comment 1 Myriam Schweingruber 2009-11-20 22:24:01 UTC
And which exact Amarok version is this?
Comment 2 Paul Grandperrin 2009-11-21 01:06:37 UTC
My version of Amarok is 2.2.1 (with KDE 4.3.2) from debian unstable :
http://packages.qa.debian.org/a/amarok.html.

On Fri, Nov 20, 2009 at 10:24 PM, Myriam Schweingruber <myriam@kde.org>wrote:

> https://bugs.kde.org/show_bug.cgi?id=215471
>
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>             Status|UNCONFIRMED                 |NEEDSINFO
>         Resolution|                            |WAITINGFORINFO
>
>
>
>
> --- Comment #1 from Myriam Schweingruber <myriam kde org>  2009-11-20
> 22:24:01 ---
> And which exact Amarok version is this?
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 3 Myriam Schweingruber 2009-11-21 09:04:53 UTC
Thanks for the info.  FWIW, I was not able to reproduce this with current Amarok 2.2-git
Comment 4 Paul Grandperrin 2009-11-21 14:01:15 UTC
I just compiled Amarok 2.2 from git source, and I still have the bug. It
maybe comes from my Qt version, I have Qt4.6 beta1. I'm going to try with
Qt4.6rc1 and Qt4.5.3.

On Sat, Nov 21, 2009 at 9:04 AM, Myriam Schweingruber <myriam@kde.org>wrote:

> https://bugs.kde.org/show_bug.cgi?id=215471
>
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>              Status|NEEDSINFO                   |UNCONFIRMED
>                 CC|                            |nhnFreespirit@gmail.com
>            Version|unspecified                 |2.2.1
>         Resolution|WAITINGFORINFO              |
>
>
>
>
> --- Comment #3 from Myriam Schweingruber <myriam kde org>  2009-11-21
> 09:04:53 ---
> Thanks for the info.  FWIW, I was not able to reproduce this with current
> Amarok 2.2-git
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 5 Paul Grandperrin 2009-11-21 14:15:01 UTC
I can't downgrade Qt to 4.4.3 without breaking my distro... So I've
installed Qt4.6rc1 and I still have the bug...
No one can confirm the issue?
Comment 6 Dario Andres 2009-11-21 14:46:09 UTC
A backtrace can probably tell where is the fault: Amarok, Qt, some other lib or a bad configuration. Regards
Comment 7 Paul Grandperrin 2009-11-21 19:22:16 UTC
Created attachment 38475 [details]
The backtrace of amarok's crash
Comment 8 Paul Grandperrin 2009-11-21 19:25:18 UTC
The backtrace I just sent was made with debian packages :
Amarok 2.2.1 from Sid
Qt4.6-RC1 from Experimental
Comment 9 Myriam Schweingruber 2009-11-21 23:12:04 UTC
Backtrace form comment #7:

Application: Amarok (amarok), signal: Segmentation fault
The current source language is "auto; currently c".
[Current thread is 1 (Thread 0x7fe3191ab7a0 (LWP 13399))]

Thread 14 (Thread 0x7fe2ff6bd910 (LWP 13400)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007fe30428cce1 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fe2fdb68910 (LWP 13401)):
#0  0xffffffffff600132 in ?? ()
#1  0x00007fff247ff6fb in ?? ()
#2  0x00007fe30f40ce6f in *__GI_clock_gettime (clock_id=-38372064, tp=0x7fe2fdb67d20) at ../sysdeps/unix/clock_gettime.c:100
#3  0x00007fe3178a77af in qt_gettime () at kernel/qcore_unix.cpp:109
#4  0x00007fe3178ac5ad in QTimerInfoList::updateCurrentTime (this=0x7fe2fdb67d20) at kernel/qeventdispatcher_unix.cpp:340
#5  0x00007fe3178ac5d5 in QTimerInfoList::timerWait (this=0x7fe2fdb67d20, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#6  0x00007fe3178aa57c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7fe2fdb67e14) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007fe30f1822e9 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x00007fe30f182679 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007fe30f182b3c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007fe3178aa366 in QEventDispatcherGlib::processEvents (this=0x1cfab00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#11 0x00007fe31787f182 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#12 0x00007fe31787f554 in QEventLoop::exec (this=0x7fe2fdb67fa0, flags=...) at kernel/qeventloop.cpp:201
#13 0x00007fe31778a2d7 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007fe3044e7aec in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#15 0x00007fe31778ce35 in QThreadPrivate::start (arg=0x1d06ee0) at thread/qthread_unix.cpp:244
#16 0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#17 0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 12 (Thread 0x7fe2fd15e910 (LWP 13404)):
#0  0x00007fe3162673a3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fe2fd163899 in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fe2fc95d910 (LWP 13405)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe30429dc53 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 10 (Thread 0x7fe2fbd53910 (LWP 13406)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe30429dc53 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 9 (Thread 0x7fe2fb552910 (LWP 13407)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe30429dc53 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fe2fad51910 (LWP 13408)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe30429dc53 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fe2f95c0910 (LWP 13416)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe3110892c6 in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007fe311089309 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fe2f1cf7910 (LWP 13420)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe31778dd29 in QWaitConditionPrivate::wait (this=0x237bfb8, mutex=0x29d82d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=0x237bfb8, mutex=0x29d82d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe313711e04 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x237bf90, th=0x27cab30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fe31371454b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2385300, th=0x27cab30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fe313712b1f in ThreadWeaver::ThreadRunHelper::run (this=0x7fe2f1cf7000, parent=0x237bf90, th=0x27cab30) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fe313712f59 in ThreadWeaver::Thread::run (this=0x27cab30) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fe31778ce35 in QThreadPrivate::start (arg=0x27cab30) at thread/qthread_unix.cpp:244
#8  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fe2f0cf5910 (LWP 13423)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe31778dd29 in QWaitConditionPrivate::wait (this=0x237bfb8, mutex=0x29d82d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=0x237bfb8, mutex=0x29d82d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe313711e04 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x237bf90, th=0x27ae870) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fe31371454b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2385300, th=0x27ae870) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fe313714564 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2385300, th=0x27ae870) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fe313712b1f in ThreadWeaver::ThreadRunHelper::run (this=0x7fe2f0cf5000, parent=0x237bf90, th=0x27ae870) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007fe313712f59 in ThreadWeaver::Thread::run (this=0x27ae870) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007fe31778ce35 in QThreadPrivate::start (arg=0x27ae870) at thread/qthread_unix.cpp:244
#9  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fe2f04f4910 (LWP 13424)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe31778dd29 in QWaitConditionPrivate::wait (this=0x237bfb8, mutex=0x29d82d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=0x237bfb8, mutex=0x29d82d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe313711e04 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x237bf90, th=0x28d5b80) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fe31371454b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2385300, th=0x28d5b80) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fe313712b1f in ThreadWeaver::ThreadRunHelper::run (this=0x7fe2f04f4000, parent=0x237bf90, th=0x28d5b80) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fe313712f59 in ThreadWeaver::Thread::run (this=0x28d5b80) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fe31778ce35 in QThreadPrivate::start (arg=0x28d5b80) at thread/qthread_unix.cpp:244
#8  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fe2efcf3910 (LWP 13425)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe31778dd29 in QWaitConditionPrivate::wait (this=0x237bfb8, mutex=0x29d82d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=0x237bfb8, mutex=0x29d82d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe313711e04 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x237bf90, th=0x280c850) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fe31371454b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2385300, th=0x280c850) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fe313714564 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2385300, th=0x280c850) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fe313714564 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2385300, th=0x280c850) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fe313714564 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2385300, th=0x280c850) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007fe313712b1f in ThreadWeaver::ThreadRunHelper::run (this=0x7fe2efcf3000, parent=0x237bf90, th=0x280c850) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007fe313712f59 in ThreadWeaver::Thread::run (this=0x280c850) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007fe31778ce35 in QThreadPrivate::start (arg=0x280c850) at thread/qthread_unix.cpp:244
#11 0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fe2ee8e9910 (LWP 13435)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fe312401966 in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7fe3126e11e0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x00007fe3124019a9 in WTF::TCMalloc_PageHeap::runScavengerThread (context=0x7fe3126ef2ac) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x00007fe31075973a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007fe3162722fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fe3191ab7a0 (LWP 13399)):
[KCrash Handler]
#5  0x00007fe2f33617ff in Meta::MetaCapability::create<Meta::UpdateCapability> (this=<value optimized out>, rating=9) at ../../../../../src/context/applets/currenttrack/../../../meta/Meta.h:121
#6  CurrentTrack::changeTrackRating (this=<value optimized out>, rating=9) at ../../../../../src/context/applets/currenttrack/CurrentTrack.cpp:158
#7  0x00007fe2f336453e in CurrentTrack::qt_metacall (this=0x28a43d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff24770ab0) at ./CurrentTrack.moc:79
#8  0x00007fe317894307 in QMetaObject::activate (sender=0x28ab9d0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x2912b4d) at kernel/qobject.cpp:3282
#9  0x00007fe3181e47be in RatingWidget::ratingChanged (this=0x0, _t1=9) at ./RatingWidget.moc:105
#10 0x00007fe3181e4fa0 in RatingWidget::mousePressEvent (this=0x28ab9d0, e=0x7fff247715b0) at ../../src/context/widgets/RatingWidget.cpp:217
#11 0x00007fe3172136ce in QGraphicsItem::sceneEvent (this=0x28ab9e0, event=0xb) at graphicsview/qgraphicsitem.cpp:6528
#12 0x00007fe317229b28 in QGraphicsScenePrivate::sendMouseEvent (this=0x27595c0, mouseEvent=0x7fff247715b0) at graphicsview/qgraphicsscene.cpp:1212
#13 0x00007fe31723e231 in QGraphicsScenePrivate::mousePressEventHandler (this=0x27595c0, mouseEvent=0x7fff247715b0) at graphicsview/qgraphicsscene.cpp:1335
#14 0x00007fe31723e764 in QGraphicsScene::mousePressEvent (this=<value optimized out>, mouseEvent=0x7fff247715b0) at graphicsview/qgraphicsscene.cpp:3953
#15 0x00007fe31723d7bf in QGraphicsScene::event (this=0x27595a0, event=0x7fff247715b0) at graphicsview/qgraphicsscene.cpp:3345
#16 0x00007fe316c17f3d in QApplicationPrivate::notify_helper (this=0x1bbc940, receiver=0x27595a0, e=0x7fff247715b0) at kernel/qapplication.cpp:4242
#17 0x00007fe316c1e26d in QApplication::notify (this=0x7fff24772ca0, receiver=0x27595a0, e=0x7fff247715b0) at kernel/qapplication.cpp:4125
#18 0x00007fe318cd80db in KApplication::notify (this=0x7fff24772ca0, receiver=0x27595a0, event=0x7fff247715b0) at ../../kdeui/kernel/kapplication.cpp:302
#19 0x00007fe31788089c in QCoreApplication::notifyInternal (this=0x7fff24772ca0, receiver=0x27595a0, event=0x7fff247715b0) at kernel/qcoreapplication.cpp:704
#20 0x00007fe317258aef in QGraphicsView::mousePressEvent (this=0x27c2340, event=0x7fff24772130) at graphicsview/qgraphicsview.cpp:3043
#21 0x00007fe316c6e599 in QWidget::event (this=0x27c2340, event=0x7fff24772130) at kernel/qwidget.cpp:7969
#22 0x00007fe317018cab in QFrame::event (this=0x27c2340, e=0x7fff24772130) at widgets/qframe.cpp:557
#23 0x00007fe3172556eb in QGraphicsView::viewportEvent (this=0x27c2340, event=0x7fff24772130) at graphicsview/qgraphicsview.cpp:2745
#24 0x00007fe31787fcb8 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x27c4330, event=0x7fff24772130) at kernel/qcoreapplication.cpp:819
#25 0x00007fe316c17f0c in QApplicationPrivate::notify_helper (this=0x1bbc940, receiver=0x27c4330, e=0x7fff24772130) at kernel/qapplication.cpp:4238
#26 0x00007fe316c1ee5d in QApplication::notify (this=<value optimized out>, receiver=0x27c4330, e=0x7fff24772130) at kernel/qapplication.cpp:3822
#27 0x00007fe318cd80db in KApplication::notify (this=0x7fff24772ca0, receiver=0x27c4330, event=0x7fff24772130) at ../../kdeui/kernel/kapplication.cpp:302
#28 0x00007fe31788089c in QCoreApplication::notifyInternal (this=0x7fff24772ca0, receiver=0x27c4330, event=0x7fff24772130) at kernel/qcoreapplication.cpp:704
#29 0x00007fe316c2079b in QCoreApplication::sendEvent (receiver=0x27c4330, event=0x7fff24772130, alienWidget=0x27c4330, nativeWidget=0x27ea4c0, buttonDown=<value optimized out>, 
    lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#30 QApplicationPrivate::sendMouseEvent (receiver=0x27c4330, event=0x7fff24772130, alienWidget=0x27c4330, nativeWidget=0x27ea4c0, buttonDown=<value optimized out>, lastMouseReceiver=..., 
    spontaneous=true) at kernel/qapplication.cpp:2956
#31 0x00007fe316c9f3a0 in QETWidget::translateMouseEvent (this=0x27ea4c0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#32 0x00007fe316c9e54c in QApplication::x11ProcessEvent (this=0x7fff24772ca0, event=0x7fff24772910) at kernel/qapplication_x11.cpp:3501
#33 0x00007fe316cc8782 in x11EventSourceDispatch (s=0x1bc2270, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#34 0x00007fe30f17f12a in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#35 0x00007fe30f182988 in ?? () from /lib/libglib-2.0.so.0
#36 0x00007fe30f182b3c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#37 0x00007fe3178aa34c in QEventDispatcherGlib::processEvents (this=0x1aa2180, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#38 0x00007fe316cc831f in QGuiEventDispatcherGlib::processEvents (this=0x0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#39 0x00007fe31787f182 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#40 0x00007fe31787f554 in QEventLoop::exec (this=0x7fff24772c40, flags=...) at kernel/qeventloop.cpp:201
#41 0x00007fe317881a06 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#42 0x0000000000409dc7 in main (argc=1, argv=0x7fff24774ab8) at ../../src/main.cpp:227
The current source language is "auto; currently c".
Comment 10 Myriam Schweingruber 2009-11-26 15:05:26 UTC
The backtrace really looks like a crash in the Current Track widget. Can somebody reproduce this?
Comment 11 Myriam Schweingruber 2009-11-28 20:14:55 UTC
Setting target and keyword.
Comment 12 Paul Grandperrin 2009-12-01 21:42:20 UTC
Today, I tried to reproduce the bug again (for fun and cause I was the only 
one to have it) but it didn't work...
I really would like to know why it disappear, but I don't..
Since last time, I just upgraded my distro every day. I did not notice major 
update or Qt/KDE/Amarok related updates.
I don't close the bug now, but feel free to close it or to ask me questions.

Paul Grandperrin
Comment 13 Myriam Schweingruber 2009-12-03 18:34:52 UTC
*** Bug 217231 has been marked as a duplicate of this bug. ***
Comment 14 Myriam Schweingruber 2009-12-03 18:35:39 UTC
Confirmed by duplicate.
Comment 15 Nikolaj Hald Nielsen 2009-12-11 22:17:03 UTC
commit 98d4bb0aa282423dc862ebcf9ba12cce85b68d63
Author: Nikolaj Hald Nielsen <nhnFreespirit@gmail.com>
Date:   Fri Dec 11 22:15:22 2009 +0100

Fix crash if user clicks rating widget on the current track applet while no track is playing (which is possible since there is a slight delay when playback ends before the applet switches "mode").
BUG: 215471
Comment 16 Nikolaj Hald Nielsen 2009-12-11 22:20:08 UTC
commit 98d4bb0aa282423dc862ebcf9ba12cce85b68d63
Author: Nikolaj Hald Nielsen <nhnFreespirit@gmail.com>
Date:   Fri Dec 11 22:15:22 2009 +0100

    Fix crash if user clicks rating widget on the current track applet while no track is playing (which is possible since there is a slight delay when playback ends before the applet switches "mode").
    BUG: 215471

diff --git a/ChangeLog b/ChangeLog
index 571387a..3308158 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -65,6 +65,9 @@ VERSION 2.2.2
     * Improved automatic resizing of lyrics and suggestions in the context applet.
 
   BUGFIXES:
+    * Fixed crash if user clicks rating widget on the current track applet while no
+      track is playing (which is possible since there is a slight delay before the 
+      applet switches "mode"). (BR 215471)
     * Made "Last.fm Love" (and potentially other global actions avaiable for all 
       tracks) correctly show up in the Current Track applet.
     * Fixed two bookmark actions having the same text description. (BR 214716)
diff --git a/src/context/applets/currenttrack/CurrentTrack.cpp b/src/context/applets/currenttrack/CurrentTrack.cpp
index 8d0ffa5..8aad625 100644
--- a/src/context/applets/currenttrack/CurrentTrack.cpp
+++ b/src/context/applets/currenttrack/CurrentTrack.cpp
@@ -155,6 +155,9 @@ CurrentTrack::changeTrackRating( int rating )
     DEBUG_BLOCK
     Meta::TrackPtr track = The::engineController()->currentTrack();
 
+    if( !track )
+        return;
+
     // Inform collections of end of a metadata update
     Meta::UpdateCapability *uc = track->create<Meta::UpdateCapability>();
     if( !uc )